  <?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$conf_color=$_POST['conf_color'];
$facebook=$_POST['facebook'];
$instagram=$_POST['instagram'];
$x=$_POST['x'];
$tiktok=$_POST['tiktok'];
$youtube=$_POST['youtube'];
$ubicacion=$_POST['ubicacion'];
$mensaje_wp=strtoupper($_POST['mensaje_wp']);

// Realizar la primera consulta de actualización
$sql_sucursal = mysqli_query($con, "UPDATE sucursal SET
                    facebook='$facebook',
                    instagram='$instagram',
                    x='$x',
                    tiktok='$tiktok',
                    youtube='$youtube'
                    WHERE empresa='$empresa'") or die(mysqli_error($con));

// Realizar la segunda consulta de actualización
$sql_configuracion = mysqli_query($con, "UPDATE configuraciones SET
                    conf_color='$conf_color',
                    ubicacion_pagina='$ubicacion',
                    mensaje_wp='$mensaje_wp'
                    WHERE empresa='$empresa'") or die(mysqli_error($con));

// Verificar si ambas consultas fueron exitosas
if ($sql_sucursal && $sql_configuracion) {
    echo '<div id="mydivdatos" class="alert alert-info alert-dismissable">
              <strong>Datos! </strong> Actualizados correctamente.
          </div>';
} else {
    // Si algo falla, puedes mostrar un mensaje de error o manejar el fallo de otra manera
    echo '<div id="mydivdatos" class="alert alert-danger alert-dismissable">
              <strong>Error! </strong> No se pudieron actualizar los datos.
          </div>';
}




$nameimagen = $_FILES['imagen_ico']['name'];
        $tmpimagen = $_FILES['imagen_ico']['tmp_name'];
        $extimagen = pathinfo($nameimagen);
        $ext = array("","ico");
        $urlnueva = "../img/logos_vicpos/favicon.ico";
        if(is_uploaded_file($tmpimagen))
        {
           if(array_search($extimagen['extension'],$ext))
            {
                copy($tmpimagen, $urlnueva);
                 echo '<div id="mydivimg" class="alert alert-info alert-dismissable">
                      <strong>Imagen! guardada correctamente </strong>
                    </div>';
            }
            else 
            {
               echo '<div id="mydivimg" class="alert alert-danger alert-dismissable">
                      <strong>La imagen no se guardo! </strong> Solo se permiten imágenes con formato .ico
                    </div>';
            }
        }

    ?>



<script type="text/javascript">setTimeout(function() {
    $('#mydivdatos').fadeOut('fast');
}, 3000); // <-- time in milliseconds</script>



<script type="text/javascript">setTimeout(function() {
    $('#mydivimg').fadeOut('fast');
}, 3000); // <-- time in milliseconds</script>